%define subver          %{nil}
%define major		4
%define libname		%mklibname cryptsetup %{major}
%define dlibname	%mklibname cryptsetup -d

%bcond_with compatible
%bcond_with static

Name:		cryptsetup
Version:	1.7.5
Release:	%mkrel 1
Summary:	Utility for setting up encrypted filesystems
License:	GPLv2
Group:		System/Base
URL:		https://gitlab.com/cryptsetup/cryptsetup
Source0:	https://www.kernel.org/pub/linux/utils/cryptsetup/v1.7/cryptsetup-%{version}.tar.xz
Source1:	https://www.kernel.org/pub/linux/utils/cryptsetup/v1.7/cryptsetup-%{version}.tar.sign
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libgpg-error-devel
BuildRequires:	libdevmapper-devel
BuildRequires:	libuuid-devel
BuildRequires:	libpopt-devel
%if %{with static}
BuildRequires:	glibc-static-devel
%endif
Obsoletes:	cryptsetup-luks < 1.0.5
Provides:	cryptsetup-luks = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18

%description
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

LUKS for dm-crypt is implemented in cryptsetup. cryptsetup-luks is
a complete replacement for the original cryptsetup. It provides all the
functionally of the original version plus all the LUKS features, which are
accessible by the luks* commands.

%package -n	%{libname}
Summary:	Library for setting up encrypted filesystems
Group:		System/Libraries

%description -n %{libname}
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

This package contains the shared libraries required for running
programs which use cryptsetup-luks.


%package -n	%{dlibname}
Summary:	Development library for setting up encrypted filesystems
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	cryptsetup-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d cryptsetup 0

%description -n %{dlibname}
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

This package contains the header files and development libraries
for building programs which use cryptsetup-luks.

%prep
%setup -q -n %{name}-%{version}%{subver}

iconv -f ISO-8859-1 -t UTF8 ChangeLog -o ChangeLog.new
mv -f ChangeLog.new ChangeLog

%build
%configure2_5x --disable-selinux
%if %{with static}
	--enable-static-cryptsetup \
%endif
%if %{with compatible}
	--with-plain-mode=cbc-plain --with-luks1-keybits=128 \
%endif
# end of configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libcryptsetup.la

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS FAQ INSTALL NEWS README TODO
%{_sbindir}/cryptsetup
%{_sbindir}/veritysetup
%{_mandir}/man8/cryptsetup.8*
%{_mandir}/man8/veritysetup.8*

%files -n %{dlibname}
%{_includedir}/libcryptsetup.h
%if %{with static}
%{_libdir}/libcryptsetup.a
%endif
%{_libdir}/libcryptsetup.so
%{_libdir}/pkgconfig/libcryptsetup.pc

%files -n %{libname}
%{_libdir}/libcryptsetup.so.%{major}{,.*}


%changelog
* Mon May 01 2017 luigiwalser <luigiwalser> 1.7.5-1.mga6
+ Revision: 1098163
- 1.7.5

* Sat Mar 18 2017 luigiwalser <luigiwalser> 1.7.4-1.mga6
+ Revision: 1093552
- 1.7.4

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1.7.3-1.mga6
+ Revision: 1066477
- 1.7.3

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.7.2-1.mga6
+ Revision: 1045264
- 1.7.2

  + shlomif <shlomif>
    - .spec cleanups - new macros, trailing space, typos.

* Mon May 09 2016 luigiwalser <luigiwalser> 1.7.1-1.mga6
+ Revision: 1011340
- 1.7.1

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.7.0-1.mga6
+ Revision: 917395
- 1.7.0

* Sun Sep 13 2015 ycantin <ycantin> 1.6.8-1.mga6
+ Revision: 878914
- new version  1.6.8

* Thu Sep 10 2015 fwang <fwang> 1.6.7-3.mga6
+ Revision: 875416
- rebuild for new libgcrypt

* Fri Aug 21 2015 tmb <tmb> 1.6.7-2.mga6
+ Revision: 867559
- rebuild for new gcc

* Sat Jul 25 2015 blino <blino> 1.6.7-1.mga6
+ Revision: 857131
- update URL
- 1.6.7

* Wed Oct 15 2014 umeabot <umeabot> 1.6.6-4.mga5
+ Revision: 741135
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.6.6-3.mga5
+ Revision: 693701
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.6.6-2.mga5
+ Revision: 678598
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 luigiwalser <luigiwalser> 1.6.6-1.mga5
+ Revision: 665229
- 1.6.6

* Wed Jul 02 2014 luigiwalser <luigiwalser> 1.6.5-1.mga5
+ Revision: 642313
- 1.6.5

* Sat Mar 01 2014 luigiwalser <luigiwalser> 1.6.4-1.mga5
+ Revision: 598389
- 1.6.4
- update source URLs

* Mon Dec 16 2013 luigiwalser <luigiwalser> 1.6.3-1.mga4
+ Revision: 557950
- 1.6.3

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 534386
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 colin <colin> 1.6.2-1.mga4
+ Revision: 477587
- New version: 1.6.2

* Fri Jan 11 2013 umeabot <umeabot> 1.5.1-2.mga3
+ Revision: 348312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 colin <colin> 1.5.1-1.mga3
+ Revision: 311147
- New version: 1.5.1

* Tue Jul 24 2012 colin <colin> 1.5.0-1.mga3
+ Revision: 273982
- New version: 1.5.0 (needed for systemd >= 187)

* Fri Dec 09 2011 guillomovitch <guillomovitch> 1.4.1-1.mga2
+ Revision: 179493
- new version
- spec cleanup
- drop .la file

  + dlucio <dlucio>
    - 1.3.1

* Wed Apr 06 2011 ahmad <ahmad> 1.3.0-1.mga1
+ Revision: 81406
- update to 1.3.0
- fix ChangeLog encoding

* Sat Jan 15 2011 supp <supp> 1.2.0-2.mga1
+ Revision: 19001
- imported package cryptsetup

